{ pkgs
, lib
, config
, ... }: with lib; let
  cfg = config.home.gnome;
in mkIf cfg.enable {
  global.flatpak.enable = mkDefault true;
  programs.regreet.enable = false;
  services.xserver.enable = true;
  services.xserver.displayManager.startx.enable = false;
  services.xserver.displayManager.gdm.enable = true;
  services.xserver.desktopManager.gnome.enable = true;
  services.udev.packages = with pkgs; [ gnome.gnome-settings-daemon ];
  xdg.portal.configPackages = with pkgs; [ gnome.gnome-session ];
  hardware.pulseaudio.enable = false;

  users.home.persist.directories = [
    ".config/dconf"
  ];
  environment.persistence."/nix/persist/fhs".directories = [ ];
}
